local components = {}

components.dict = {
  resolution = "perspective.resolution",
  lanes = "perspective.lanes",
  draw_distance = "perspective.draw_distance",
  road_width = "perspective.road_width",
  fog_density = "perspective.fog_density",

  field_of_view = "perspective.field_of_view",
  camera_height = "perspective.camera_height",

  segment_length = "perspective.segment_length",
  segment_count = "perspective.segment_count",
  rumble_length = "perspective.rumble_length",

  segment_path = "perspective.segment_path",
  segment_sprite_map_path = "perspective.segment_sprite_map_path"
}

function components.resolution (c, x, y)
  c.data = {love.graphics.getDimensions()}
end

function components.lanes (c, x)
  c.data = x
end

function components.draw_distance (c, x)
  c.data = x
end

function components.road_width (c, x)
  c.data = x
end

function components.fog_density (c, x)
  c.data = x
end

function components.field_of_view (c, x)
  c.data = x
end

function components.camera_height (c, x)
  c.data = x
end

function components.segment_length (c, x)
  c.data = x
end

function components.segment_count (c, x)
  c.data = x
end

function components.rumble_length (c, x)
  c.data = x
end

function components.segment_path (c, x)
  c.data = x
end

function components.segment_sprite_map_path (c, x)
  c.data = x
end

return components
